# Interface TableSequence

All Known Implementing Classes:
  `QueueTableSequence`

public interface TableSequence
Iterator over tables. Unlike the `java.util.Iterator` interface, the `nextTable` method throws a checked exception.

A suitable looping idiom is

        TableSequence tseq = getTableSequence();
        for (StarTable table; (table = tseq.nextTable()) != null;) {
            doStuff(table);
        }

Since:
  5 Jul 2010
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`StarTable`
`nextTable()`
Returns the next table in the sequence, or null if the end of the sequence is reached.

## Method Details

### nextTable

StarTable nextTable() throws IOException
Returns the next table in the sequence, or null if the end of the sequence is reached.

Returns:
  next table, or null if there are no more
Throws:
  `IOException` - if there is an error obtaining the table